import { r as e, t } from "./detectBrowser-FBYSu3xM.js";
//#region ../../node_modules/.bun/@base-ui+react@1.5.0+f4ada88178b00e6f/node_modules/@base-ui/react/esm/floating-ui-react/utils/event.js
function n(e) {
	e.preventDefault(), e.stopPropagation();
}
function r(e) {
	return "nativeEvent" in e;
}
function i(e) {
	return e.pointerType === "" && e.isTrusted ? !0 : t && e.pointerType ? e.type === "click" && e.buttons === 1 : e.detail === 0 && !e.pointerType;
}
function a(n) {
	return e ? !1 : !t && n.width === 0 && n.height === 0 || t && n.width === 1 && n.height === 1 && n.pressure === 0 && n.detail === 0 && n.pointerType === "mouse" || n.width < 1 && n.height < 1 && n.pressure === 0 && n.detail === 0 && n.pointerType === "touch";
}
function o(e, t) {
	let n = ["mouse", "pen"];
	return t || n.push("", void 0), n.includes(e);
}
function s(e) {
	let t = e.type;
	return t === "click" || t === "mousedown" || t === "keydown" || t === "keyup";
}
//#endregion
export { a, i, o as n, n as o, r, s as t };
